Security Enhanced Linux Reference Policy

# Layer: services

## Module: sendmail

Interfaces

### Description:

Policy for sendmail.

### Interfaces:

sendmail_create_log( domain )

##### Summary

Create sendmail logs with the correct type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_domtrans( domain )

##### Summary

Domain transition to sendmail.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_manage_log( domain )

##### Summary

Create, read, write, and delete sendmail logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_read_log( domain )

##### Summary

Read sendmail logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_rw_tcp_sockets( domain )

##### Summary

Read and write sendmail TCP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_rw_unix_stream_sockets( domain )

##### Summary

Read and write sendmail unix_stream_sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_signal( domain )

##### Summary

Send generic signals to sendmail.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

sendmail_stub( domain )

##### Summary

Sendmail stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return